﻿using $safeprojectname$.ViewModel.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace $safeprojectname$.ViewModel
{
    public class AppShellViewModel : BaseViewModel
    {

        public ICommand QuitterCommand { get; private set; }
        public AppShellViewModel()
        {
            QuitterCommand = new Command(async () => await Quitter());
        }

        private async Task Quitter()
        {
            await Task.Delay(100);
            bool quitter = await App.Current.MainPage.DisplayAlert("Voulez-vous vraiment quitter l'application ?", "", "Oui", "Non");
            if (quitter.Equals(true)) Application.Current.Quit();
        }

    }
}
